library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

use work.all;

entity Blinker1Hz is
	port (
		clock		: in std_logic;
		blink		: out std_logic
	);
end entity Blinker1Hz;

architecture rtl of Blinker1Hz is

constant FREQUENCY: natural := 1;
constant CYCLES: natural := 50e6 / FREQUENCY / 2;
signal counter: integer range 0 to CYCLES := CYCLES;
signal blinkBuffer: std_logic;

begin

process(clock)	
begin
	if rising_edge(clock) then 
		if counter < CYCLES then
			counter <= counter + 1;
		else
			counter <= 0;
			blinkBuffer <= not blinkBuffer;
		end if;
	end if;
end process;

blink <= blinkBuffer;

end architecture rtl;
